# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-09-23 04:38
from __future__ import unicode_literals

from django.db import migrations, models


def get_type(apps, schema_editor):
    Show = apps.get_model('podcast', 'Show')
    for show in Show.objects.all():
        show.type = 'episodic'
        show.save(update_fields=['type'])


class Migration(migrations.Migration):

    dependencies = [
        ('podcast', '0014_episode_season'),
    ]

    operations = [
        migrations.AddField(
            model_name='show',
            name='type',
            field=models.CharField(choices=[('episodic', 'Episodic'), ('serial', 'Serial')], default='episodic', help_text='Episodic presents episodes by latest, serial presents episodes by episode number; both support seasons', max_length=255, verbose_name='type'),
        ),
        migrations.RunPython(get_type, reverse_code=migrations.RunPython.noop),
    ]
